Description

You can set a pool quota with ceph osd pool set-quota and specify max-objects or max-bytes. You cannot, however, get the quota

with a corresponding ceph osd pool get-quota method. Additionally, it cannot be retrieved with ceph osd pool get.

Related issues:

Duplicated by Ceph - Feature #4611: cephtool: set-quota, no get-quota Duplicate 04/01/2013

Associated revisions

Revision 714a9bb5 - 07/08/2014 06:33 PM - Joao Eduardo Luis 

mon: OSDMonitor: add 'osd pool get-quota' command

Enables us to obtain current quotas for a given pool.

Fixes: #8523

Signed-off-by: Joao Eduardo Luis <joao.luis@inktank.com>

Revision 068b906e - 08/16/2014 04:36 AM - Joao Eduardo Luis 

mon: OSDMonitor: add 'osd pool get-quota' command

Enables us to obtain current quotas for a given pool.

Fixes: #8523

Signed-off-by: Joao Eduardo Luis <joao.luis@inktank.com>

(cherry picked from commit 714a9bb5a058b2553f3be3e4cfb7e7f30150e75a)

History

#1 - 06/25/2014 01:35 PM - Ian Colle

- Target version changed from 0.82 to 0.83 cont.

#2 - 06/25/2014 03:06 PM - Joao Eduardo Luis

- Status changed from New to Fix Under Review
#3 - 07/08/2014 05:55 PM - Sage Weil

- Status changed from Fix Under Review to Resolved

- Source changed from other to Development
